# `abacusai.project_dataset`

## Module Contents

### Classes

`ProjectDataset` | The description of how a dataset is used in a project

class abacusai.project_dataset.ProjectDataset(client, name=None, featureGroupTableName=None, datasetType=None, datasetId=None, streaming=None, dataFilters={})

  Bases: `abacusai.return_class.AbstractApiClass`

  The description of how a dataset is used in a project

  Parameters:

    - client (ApiClient) – An authenticated API Client instance

    - name (str) – The name for the dataset.

    - featureGroupTableName (str) – The feature group table name for this dataset

    - datasetType (str) – The dataset’s type in this project. The possible values will be based on the project’s use-case. See the (Use Case Documentation)[https://api.abacus.ai/app/help/useCases] for more details.

    - datasetId (str) – The unique ID associated with the dataset.

    - streaming (bool) – true if the dataset is a streaming dataset.

    - dataFilters (DataFilter) – List of data filters.

  __repr__()

    Return repr(self).

  to_dict()

    Get a dict representation of the parameters in this class

    Returns:

      The dict value representation of the class parameters

    Return type:

      dict